%define		_class		HTTP
%define		_subclass	Request2
%define		upstream_name	%{_class}_%{_subclass}

%define		_requires_exceptions pear(PHPUnit

Summary:	Provides an easy way to perform HTTP requests
Name:		php-pear-%{upstream_name}
Version:	2.1.1
Release:	%mkrel 1
License:	BSD
Group:		Development/PHP
URL:		http://pear.php.net/package/HTTP_Request2/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
PHP5 rewrite of HTTP_Request package (with parts of HTTP_Client). Provides
cleaner API and pluggable Adapters:
* Socket adapter, based on old HTTP_Request code,
* Curl adapter, wraps around PHP's cURL extension,
* Mock adapter, to use for testing packages dependent on HTTP_Request2.
Supports POST requests with data and file uploads, basic and digest
authentication, cookies, managing cookies across requests, proxies, gzip and
deflate encodings, redirects, monitoring the request progress with Observers...

%prep

%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
rm -rf %{buildroot}

cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%clean
rm -rf %{buildroot}

%post
%if %mdkversion < 201000
pear install --nodeps --soft --force --register-only \
    %{_datadir}/pear/packages/%{upstream_name}.xml >/dev/null || :
%endif

%preun
%if %mdkversion < 201000
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only \
        %{upstream_name} >/dev/null || :
fi
%endif

%files
%defattr(-,root,root)
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml
%{_datadir}/pear/data/%{upstream_name}



%changelog
* Mon Apr 09 2012 Oden Eriksson <oeriksson@mandriva.com> 2.1.1-1mdv2012.0
+ Revision: 789945
- 2.1.1

* Fri Dec 16 2011 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-3
+ Revision: 741774
- fix major breakage by careless packager
- rebuilt to see where it ends up today, main or contrib ?
- rebuild
- rebuild

* Wed Dec 14 2011 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-0.0.0
+ Revision: 741294
- starting over in an attemp to build these and move them to main...

* Wed Dec 14 2011 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-2
+ Revision: 741224
- rebuild

* Wed Dec 14 2011 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-1
+ Revision: 741200
- import php-pear-HTTP_Request2


* Wed Dec 14 2011 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-1
- initial Mandriva package
